Page MenuHomePhabricator

Add Moroccan Amazigh (zgh) to Names.php
Closed, ResolvedPublic

Description

There is an issue with Moroccan Amazigh (zgh) test Wikipedia in Wikimedia Incubator. It cannot been set as language of interface. And we cannot translate pages to this language. For example, try to translate the Main page in Wikimedia Incubator, it will give you a broken interface. I've noticed that it is considered as undefined language. I don't know what's the problem. Thanks.

Event Timeline

Restricted Application added subscribers: Zppix, Hydriz, Aklapper. · View Herald TranscriptJun 9 2016, 8:49 PM
Amara-Amaziv renamed this task from Concerning Moroccan Amazigh language (zgh) test Wikipedia to Concerning Moroccan Amazigh (zgh) test Wikipedia.Jun 9 2016, 8:50 PM
Amara-Amaziv updated the task description. (Show Details)Jun 9 2016, 8:57 PM

Change 293661 had a related patch set uploaded (by Ebe123):
Add langauge 'zgh' Standard Moroccan Amazigh

https://gerrit.wikimedia.org/r/293661

Ebe123 claimed this task.Jun 10 2016, 12:41 AM
Ebe123 added a subscriber: Ebe123.

The problem here is that the language is not currently supported by MediaWiki. I have just submitted a patch adding the language to MediaWiki.

@Amara-Amaziv: You may help contribute to the translation of MediaWiki on translatewiki.

Hydriz removed a subscriber: Hydriz.Jun 10 2016, 3:44 AM
Nemo_bis closed this task as Invalid.EditedJun 10 2016, 6:26 AM
Nemo_bis added a subscriber: Nemo_bis.

Hi, thanks for reporting. This is expected, see https://translatewiki.net/wiki/Portal:Zgh and https://meta.wikimedia.org/wiki/Language_proposal_policy#Requisites_for_final_approval

Please complete https://translatewiki.net/w/i.php?title=Special:Translate&group=core-0-mostused&language=zgh (currently 8 % translated) and then the language will be added to MediaWiki.

P.s.: I also wrote at https://translatewiki.net/wiki/Thread:User_talk:Amara-Amazi%C9%A3/Thanks_for_your_translations as the user was translating non-MediaWiki messages.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJun 10 2016, 6:26 AM

Change 293661 abandoned by Ebe123:
Add langauge 'zgh' Standard Moroccan Amazigh

https://gerrit.wikimedia.org/r/293661

Raymond reopened this task as Open.Feb 27 2018, 9:54 AM
Raymond added a subscriber: Raymond.

First export from translatwiki.net for 'zgh' happend last night with https://gerrit.wikimedia.org/r/#/c/414775/ . Now zgh can be added to Names.php and I think https://gerrit.wikimedia.org/r/293661 could be restored/rebased/etc.

Raymond renamed this task from Concerning Moroccan Amazigh (zgh) test Wikipedia to Add Moroccan Amazigh (zgh) to Names.php.Feb 27 2018, 9:54 AM
Raymond added a subscriber: MarcoAurelio.

Change 293661 restored by Ebe123:
Add langauge 'zgh' Standard Moroccan Amazigh

https://gerrit.wikimedia.org/r/293661

Change 293661 merged by jenkins-bot:
[mediawiki/core@master] Add langauge 'zgh' Standard Moroccan Amazigh

https://gerrit.wikimedia.org/r/293661

MarcoAurelio closed this task as Resolved.Jun 11 2018, 3:43 PM